Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## datechooser.controller
Class EventHandler

    java.lang.Object
      datechooser.controller.EventHandler

All Implemented Interfaces:
  DateChooseController, java.awt.event.KeyListener, java.awt.event.MouseListener, java.awt.event.MouseMotionListener, java.awt.event.MouseWheelListener, java.io.Serializable, java.util.EventListener

Direct Known Subclasses:
  EventHandlerMultiply

    public class EventHandler

extends java.lang.Object
implements java.awt.event.MouseListener, java.awt.event.MouseMotionListener, java.awt.event.KeyListener, DateChooseController, java.awt.event.MouseWheelListener, java.io.Serializable

Handles mouse events: click (select/unselect), drag; keyboard support.
Позволяет интерпретировать поведение мыши: Щелчок (выделение, снятие выделения). Кроме того, поддерживает работу с клавиатурой. Перетаскиваие.

Since:
  1.0
Author:
  Androsov Vadim
See Also:
  Serialized Form

Constructor Summary
`EventHandler()`

Method Summary
`protected void` | `doSelect(java.awt.event.MouseEvent e)`
`protected void` | `doShift(java.awt.event.KeyEvent e)`
`DateChoose` | `getModel()`
`GridPane` | `getView()`
`boolean` | `isAutoScroll()`
`protected boolean` | `isDragging()`
`protected boolean` | `isDragStarted()`
`static boolean` | `isMask(int modifier, int mask)`
`void` | `keyPressed(java.awt.event.KeyEvent e)`
`void` | `keyReleased(java.awt.event.KeyEvent e)`
`void` | `keyTyped(java.awt.event.KeyEvent e)`
`void` | `mouseClicked(java.awt.event.MouseEvent e)`
`void` | `mouseDragged(java.awt.event.MouseEvent e)`
`void` | `mouseEntered(java.awt.event.MouseEvent e)`
`void` | `mouseExited(java.awt.event.MouseEvent e)`
`void` | `mouseMoved(java.awt.event.MouseEvent e)`
`void` | `mousePressed(java.awt.event.MouseEvent e)`
`void` | `mouseReleased(java.awt.event.MouseEvent e)`
`void` | `mouseWheelMoved(java.awt.event.MouseWheelEvent e)`
`protected void` | `onDragEnd()`
`protected void` | `onDragStart()`
`void` | `reBound()` When panel size changes.
`void` | `setAutoScroll(boolean autoScroll)`
`protected void` | `setDragging(boolean dragging)`
`protected void` | `setDragStarted(boolean dragStarted)`
`void` | `setView(GridPane palette)` Attaches to day selection panel.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventHandler

    public EventHandler()

Method Detail

### reBound

    public void reBound()

  Description copied from interface: `DateChooseController`
  When panel size changes.
  Используется в случаях, когда размер панели меняется.

  Specified by:
    `reBound` in interface `DateChooseController`

### doSelect

    protected void doSelect(java.awt.event.MouseEvent e)

### mouseClicked

    public void mouseClicked(java.awt.event.MouseEvent e)

  Specified by:
    `mouseClicked` in interface `java.awt.event.MouseListener`

### mousePressed

    public void mousePressed(java.awt.event.MouseEvent e)

  Specified by:
    `mousePressed` in interface `java.awt.event.MouseListener`

### mouseReleased

    public void mouseReleased(java.awt.event.MouseEvent e)

  Specified by:
    `mouseReleased` in interface `java.awt.event.MouseListener`

### mouseEntered

    public void mouseEntered(java.awt.event.MouseEvent e)

  Specified by:
    `mouseEntered` in interface `java.awt.event.MouseListener`

### mouseExited

    public void mouseExited(java.awt.event.MouseEvent e)

  Specified by:
    `mouseExited` in interface `java.awt.event.MouseListener`

### mouseDragged

    public void mouseDragged(java.awt.event.MouseEvent e)

  Specified by:
    `mouseDragged` in interface `java.awt.event.MouseMotionListener`

### mouseMoved

    public void mouseMoved(java.awt.event.MouseEvent e)

  Specified by:
    `mouseMoved` in interface `java.awt.event.MouseMotionListener`

### setView

    public void setView(GridPane palette)

  Description copied from interface: `DateChooseController`
  Attaches to day selection panel.
  Устанавливает панель календаря, подключая к ней себя (контроллер).

  Specified by:
    `setView` in interface `DateChooseController`

### getView

    public GridPane getView()

### getModel

    public DateChoose getModel()

### doShift

    protected void doShift(java.awt.event.KeyEvent e)

### keyTyped

    public void keyTyped(java.awt.event.KeyEvent e)

  Specified by:
    `keyTyped` in interface `java.awt.event.KeyListener`

### keyPressed

    public void keyPressed(java.awt.event.KeyEvent e)

  Specified by:
    `keyPressed` in interface `java.awt.event.KeyListener`

### keyReleased

    public void keyReleased(java.awt.event.KeyEvent e)

  Specified by:
    `keyReleased` in interface `java.awt.event.KeyListener`

### isDragging

    protected boolean isDragging()

### setDragging

    protected void setDragging(boolean dragging)

### isDragStarted

    protected boolean isDragStarted()

### setDragStarted

    protected void setDragStarted(boolean dragStarted)

### onDragStart

    protected void onDragStart()

### onDragEnd

    protected void onDragEnd()

### isAutoScroll

    public boolean isAutoScroll()

### setAutoScroll

    public void setAutoScroll(boolean autoScroll)

### mouseWheelMoved

    public void mouseWheelMoved(java.awt.event.MouseWheelEvent e)

  Specified by:
    `mouseWheelMoved` in interface `java.awt.event.MouseWheelListener`

### isMask

    public static boolean isMask(int modifier,
                                 int mask)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD